Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455372 - please include xpdf headers in poppler development package
Summary: please include xpdf headers in poppler development package
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: poppler
Version: 5.4
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Denise Dumas
QA Contact: desktop-bugs@redhat.com
URL: http://sourceforge.jp/projects/opfc
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-15 06:55 UTC by Olaf Meeuwissen
Modified: 2014-07-16 11:34 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-16 11:34:20 UTC


Attachments (Terms of Use)

Description Olaf Meeuwissen 2008-07-15 06:55:43 UTC
Description of problem:

Building of a number of PDF filters developed by the OPFC project[0] fails
because the poppler development packages do not include the necessary header
files.  These filters are slated for integration in the CUPS PDF workflow.  The
specific filters affected are `pdftopdf` and `pdftoraster`.

We have surveyed the last few releases of a number of major distributions but
the majority of them already include the necessary header files in their poppler
development packages.  Of the ones surveyed, only Fedora 7 and 8 and Red Hat
Enterprise Linux 5 and 5.2 were found lacking.  Fedora 9 already includes the
header files required.  We have not looked at any other RHEL 5.x releases.

The required header files can be added by simply specifying the
--enable-xpdf-header option when configuring the poppler sources.  This will
take care of installing the required header files in the poppler include
directories.

Considering the fact that CUPS is moving to a PDF-based workflow and the LSB
efforts in the printing area[1], we would like to see the poppler development
packages fixed before the next release of RHEL.  FYI, this problem was discussed 
at the Linux Foundation's OpenPrinting Summit in Tokyo[2] as well.

[0] http://sourceforge.jp/projects/opfc
[1] http://openprinting.org/
[2] http://www.linuxfoundation.org/en/OpenPrinting/LFJapanSymposiumTokyoJuly2008

Comment 4 RHEL Product and Program Management 2014-03-07 12:41:02 UTC
This bug/component is not included in scope for RHEL-5.11.0 which is the last RHEL5 minor release. This Bugzilla will soon be CLOSED as WONTFIX (at the end of RHEL5.11 development phase (Apr 22, 2014)). Please contact your account manager or support representative in case you need to escalate this bug.

Comment 5 Olaf Meeuwissen 2014-03-25 02:03:08 UTC
I am no longer involved in the OPFC project and have no idea whether this still applies.  I have forwarded the request to OPFC and OpenPrinting Japan mailing lists and asked for follow-up there.

Hope this helps.

Comment 6 Olaf Meeuwissen 2014-04-01 23:17:15 UTC
I got feedback from the OPFC project indicating that this is no longer an issue.

The cups-filters have been split off of CUPS and are now maintained by OpenPrinting.

Comment 7 Ondrej Vasik 2014-07-16 11:34:20 UTC
Ok, thanks. Closing WONTFIX for RHEL 5 anyway.


Note You need to log in before you can comment on or make changes to this bug.